> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yieldo.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Application



## OpenAPI

````yaml https://api.yieldo.xyz/openapi.json post /v1/applications/{audience}
openapi: 3.1.0
info:
  title: Yieldo API
  description: Cross-chain deposit aggregator for ERC-4626 and custom yield vaults
  version: 1.0.0
servers:
  - url: https://api.yieldo.xyz
    description: Production
security: []
paths:
  /v1/applications/{audience}:
    post:
      tags:
        - applications
      summary: Submit Application
      operationId: submit_application_v1_applications__audience__post
      parameters:
        - name: audience
          in: path
          required: true
          schema:
            type: string
            title: Audience
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SubmitRequest:
      properties:
        address:
          type: string
          title: Address
        signature:
          type: string
          title: Signature
        form:
          type: object
          title: Form
      type: object
      required:
        - address
        - signature
        - form
      title: SubmitRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````